Chromium Code Reviews
Help | Chromium Project | Sign in
(12)

Issue 2691393002: Fix auto raw pointer deduction on linux (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by vmpstr
Modified:
2 months ago
CC:
chromium-reviews, sadrul, nasko+codewatch_chromium.org, danakj+watch_chromium.org, sebsg+autofillwatch_chromium.org, nona+watch_chromium.org, einbinder+watch-test-runner_chromium.org, kalyank, mlamouri+watch-content_chromium.org, subresource-filter-reviews_chromium.org, ntp-dev+reviews_chromium.org, tdresser+watch_chromium.org, Randy Smith (Not in Mondays), loading-reviews_chromium.org, Ian Vollick, jochen+watch_chromium.org, rjkroege, mlamouri+watch-test-runner_chromium.org, tfarina, estade+watch_chromium.org, jln+watch_chromium.org, viettrungluu+watch_chromium.org, noyau+watch_chromium.org, agrieve+watch_chromium.org, kinuko+watch, jdonnelly+watch_chromium.org, jlklein+watch-tether_chromium.org, jam, vabr+watchlistautofill_chromium.org, chromium-apps-reviews_chromium.org, creis+watch_chromium.org, jsbell+serviceworker_chromium.org, timvolodine, nhiroki, shimazu+serviceworker_chromium.org, serviceworker-reviews, mmenke, dtseng+watch_chromium.org, horo+watch_chromium.org, yusukes+watch_chromium.org, browser-components-watch_chromium.org, yzshen+watch_chromium.org, dmazzoni+watch_chromium.org, tracing+reviews_chromium.org, abarth-chromium, wifiprefetch-reviews_google.com, miu+watch_chromium.org, extensions-reviews_chromium.org, awdf+watch_chromium.org, tzik, net-reviews_chromium.org, jhawkins+watch-tether_chromium.org, je_julie, darin-cc_chromium.org, chfremer+watch_chromium.org, xjz+watch_chromium.org, blink-worker-reviews_chromium.org, rouslan+autofill_chromium.org, piman+watch_chromium.org, Dirk Pranke, wfh+watch_chromium.org, shuchen+watch_chromium.org, Aaron Boodman, cmumford, James Su, erickung+watch_chromium.org, qsr+mojo_chromium.org, tengs+watch-tether_chromium.org, posciak+watch_chromium.org, rogerm+autofillwatch_chromium.org, rsesek+watch_chromium.org, bnc+watch_chromium.org, apacible+watch_chromium.org, cbentzel+watch_chromium.org, aboxhall+watch_chromium.org, jbauman+watch_chromium.org, chromoting-reviews_chromium.org, khorimoto+watch-tether_chromium.org, vabr+watchlistpasswordmanager_chromium.org, Peter Beverloo, mlamouri+watch-notifications_chromium.org, yuzo+watch_chromium.org, hansberry+watch-tether_chromium.org, feature-media-reviews_chromium.org, mcasas+watch+vc_chromium.org, gcasto+watchlist_chromium.org, jsbell+idb_chromium.org, cc-bugs_chromium.org, michaeln, mathp+autofillwatch_chromium.org, nektar+watch_chromium.org, kinuko+serviceworker, darin (slow to review)
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix auto raw pointer deduction on linux This patch fixes all of the places where the auto raw pointer deduction is happening on linux R=danakj@chromium.org BUG=554600 Review-Url: https://codereview.chromium.org/2691393002 Cr-Commit-Position: refs/heads/master@{#452312} Committed: https://chromium.googlesource.com/chromium/src/+/6d9996c865dc8d6901d0a004ff676d1215f4593c

Patch Set 1 #

Patch Set 2 : update #

Total comments: 1

Patch Set 3 : nobuildchanges #

Patch Set 4 : rebase #

Patch Set 5 : another rebase #

Patch Set 6 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+147 lines, -148 lines) Patch
M components/autofill/core/browser/form_structure.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M components/autofill/core/browser/personal_data_manager.cc View 1 chunk +1 line, -1 line 0 comments Download
M components/bookmarks/browser/typed_count_sorter.cc View 1 chunk +1 line, -1 line 0 comments Download
M components/component_updater/component_updater_service.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M components/cryptauth/ble/bluetooth_low_energy_weave_client_connection.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M components/ntp_snippets/remote/remote_suggestion_unittest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M components/ntp_snippets/remote/scheduling_remote_suggestions_provider.cc View 1 2 3 4 5 1 chunk +2 lines, -2 lines 0 comments Download
M components/ntp_tiles/webui/ntp_tiles_internals_message_handler.cc View 1 chunk +1 line, -1 line 0 comments Download
M components/omnibox/browser/history_quick_provider_performance_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M components/password_manager/content/browser/credential_manager_impl.cc View 1 chunk +1 line, -2 lines 0 comments Download
M components/password_manager/core/browser/password_form_manager.cc View 1 chunk +1 line, -1 line 0 comments Download
M components/policy/core/common/policy_service_impl.cc View 5 chunks +6 lines, -6 lines 0 comments Download
M components/precache/core/precache_fetcher.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M components/search_engines/default_search_policy_handler_unittest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M components/subresource_filter/content/browser/content_subresource_filter_driver_factory_unittest.cc View 1 2 3 4 5 2 chunks +2 lines, -2 lines 0 comments Download
M components/subresource_filter/core/common/first_party_origin_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M components/subresource_filter/core/common/test_ruleset_creator.cc View 1 chunk +1 line, -1 line 0 comments Download
M components/toolbar/toolbar_model_impl.cc View 1 chunk +1 line, -1 line 0 comments Download
M components/tracing/test/proto_zero_generation_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M components/update_client/update_response.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M content/browser/accessibility/ax_platform_position.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M content/browser/indexed_db/indexed_db_transaction_coordinator.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M content/browser/loader/resource_loader.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M content/browser/media/session/audio_focus_manager.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M content/browser/memory/memory_coordinator_impl_unittest.cc View 1 2 3 4 5 5 chunks +6 lines, -6 lines 0 comments Download
M content/browser/renderer_host/media/media_devices_manager.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/renderer_host/render_widget_host_input_event_router.cc View 1 2 3 4 5 4 chunks +4 lines, -4 lines 0 comments Download
M content/browser/renderer_host/render_widget_host_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/renderer_host/render_widget_host_view_aura_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/service_worker/foreign_fetch_request_handler.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/web_contents/web_contents_impl.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M content/browser/web_contents/web_contents_view_child_frame.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M content/browser/websockets/websocket_manager.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M content/common/url_schemes.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/image_downloader/image_downloader_base.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/presentation/presentation_dispatcher_unittest.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M content/shell/test_runner/mock_web_speech_recognizer.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M device/battery/battery_status_manager_linux_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M device/gamepad/gamepad_data_fetcher_manager.cc View 1 chunk +1 line, -1 line 0 comments Download
M extensions/browser/api/system_display/system_display_api.cc View 1 chunk +1 line, -1 line 0 comments Download
M extensions/browser/image_loader.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M extensions/renderer/native_extension_bindings_system_unittest.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M gin/v8_platform.cc View 1 2 3 4 5 1 chunk +2 lines, -2 lines 0 comments Download
M headless/lib/browser/headless_content_browser_client.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M mash/simple_wm/simple_wm.cc View 1 chunk +1 line, -1 line 0 comments Download
M media/capture/video/fake_video_capture_device_unittest.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M media/filters/chunk_demuxer.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M media/filters/ffmpeg_demuxer.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M media/filters/source_buffer_state.cc View 1 chunk +1 line, -1 line 0 comments Download
M media/remoting/proto_utils.cc View 1 chunk +1 line, -1 line 0 comments Download
M mojo/public/cpp/bindings/lib/message.cc View 1 2 2 chunks +3 lines, -3 lines 0 comments Download
M mojo/public/cpp/bindings/lib/message_header_validator.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/cookies/cookie_monster.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/cookies/cookie_util_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M net/http/http_network_transaction_unittest.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M net/http/http_response_headers_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/http2/decoder/payload_decoders/ping_payload_decoder.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/http2/hpack/decoder/hpack_decoder_tables.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/http2/hpack/huffman/http2_hpack_huffman_decoder.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/proxy/mojo_proxy_resolver_impl_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/core/quic_stream_sequencer_buffer_test.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M net/quic/platform/api/quic_text_utils_test.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M net/spdy/spdy_framer_test.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/spdy/spdy_header_block.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M net/spdy/spdy_session_pool.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M net/tools/quic/end_to_end_test.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/host/host_extension_session_manager.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/jingle_session.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M sandbox/linux/seccomp-bpf-helpers/sigsys_handlers.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M services/ui/public/cpp/gpu/client_gpu_memory_buffer_manager.cc View 1 chunk +1 line, -1 line 0 comments Download
M services/ui/ws/server_window.cc View 1 chunk +1 line, -1 line 0 comments Download
M services/ui/ws/window_server.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M tools/gn/analyzer.cc View 4 chunks +6 lines, -6 lines 0 comments Download
M tools/gn/import_manager.cc View 1 chunk +1 line, -1 line 0 comments Download
M ui/aura/mus/property_converter.cc View 1 2 3 4 3 chunks +10 lines, -10 lines 0 comments Download
M ui/compositor/layer_unittest.cc View 1 2 3 4 1 chunk +2 lines, -2 lines 0 comments Download
M ui/events/gestures/gesture_recognizer_impl.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M ui/gfx/image/image_skia_operations.cc View 1 chunk +1 line, -1 line 0 comments Download
M ui/gfx/shadow_util.cc View 1 chunk +1 line, -1 line 0 comments Download
M ui/message_center/notification_list.cc View 1 chunk +1 line, -1 line 0 comments Download
M ui/message_center/views/message_list_view.cc View 1 2 3 4 5 3 chunks +3 lines, -3 lines 0 comments Download
M ui/message_center/views/message_list_view_unittest.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M ui/message_center/views/notification_view.cc View 2 chunks +3 lines, -3 lines 0 comments Download
M ui/views/controls/menu/menu_item_view.cc View 1 2 3 4 5 2 chunks +2 lines, -2 lines 0 comments Download
M ui/views/controls/scrollbar/overlay_scroll_bar.cc View 1 chunk +1 line, -1 line 0 comments Download
M ui/views/examples/button_sticker_sheet.cc View 1 chunk +1 line, -1 line 0 comments Download
M ui/views/layout/grid_layout.cc View 3 chunks +4 lines, -4 lines 0 comments Download
M ui/views/test/ui_controls_factory_desktop_aurax11.cc View 1 chunk +1 line, -1 line 0 comments Download
M url/origin_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 75 (40 generated)
vmpstr
Hi, can you please take a look for an overall review and I'll start tracking ...
2 months, 1 week ago (2017-02-15 00:34:42 UTC) #7
danakj
is gud LGTM
2 months, 1 week ago (2017-02-15 16:32:18 UTC) #10
vmpstr
+brettw for global owners... Please take a look. I can find closer owners if you ...
2 months, 1 week ago (2017-02-15 18:43:07 UTC) #12
vmpstr
Also +thakis for the build/ stuff just to ensure that this is how we should ...
2 months, 1 week ago (2017-02-15 19:03:15 UTC) #14
Nico
lgtm, but i'd recommend to land the build/ change separately, so that if turning on ...
2 months, 1 week ago (2017-02-15 19:14:16 UTC) #15
vmpstr
On 2017/02/15 19:14:16, Nico wrote: > lgtm, but i'd recommend to land the build/ change ...
2 months, 1 week ago (2017-02-15 20:47:59 UTC) #16
vmpstr
On 2017/02/15 20:47:59, vmpstr wrote: > On 2017/02/15 19:14:16, Nico wrote: > > lgtm, but ...
2 months, 1 week ago (2017-02-15 20:48:37 UTC) #17
danakj
I suggest TBR brettw. On Wed, Feb 15, 2017 at 3:47 PM, <vmpstr@chromium.org> wrote: > ...
2 months, 1 week ago (2017-02-15 20:53:09 UTC) #19
brettw (plz ping after 24h)
I spot-checked a few files. Assuming somebody has reviewed all files, this LGTM.
2 months, 1 week ago (2017-02-15 22:46:10 UTC) #20
danakj
On Wed, Feb 15, 2017 at 5:46 PM, <brettw@chromium.org> wrote: > I spot-checked a few ...
2 months, 1 week ago (2017-02-15 23:09:57 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691393002/40001
2 months, 1 week ago (2017-02-15 23:14:37 UTC) #24
commit-bot: I haz the power
Try jobs failed on following builders: ios-device on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-device/builds/154365) ios-simulator on master.tryserver.chromium.mac (JOB_FAILED, ...
2 months, 1 week ago (2017-02-15 23:26:52 UTC) #26
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691393002/60001
2 months, 1 week ago (2017-02-15 23:55:56 UTC) #29
commit-bot: I haz the power
Try jobs failed on following builders: android_arm64_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_arm64_dbg_recipe/builds/212164) android_clang_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, ...
2 months, 1 week ago (2017-02-16 00:04:57 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691393002/70001
2 months, 1 week ago (2017-02-16 00:45:51 UTC) #34
commit-bot: I haz the power
Try jobs failed on following builders: android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_n5x_swarming_rel/builds/120054)
2 months, 1 week ago (2017-02-16 02:12:39 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691393002/70001
2 months, 1 week ago (2017-02-16 17:51:37 UTC) #38
commit-bot: I haz the power
Try jobs failed on following builders: android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_n5x_swarming_rel/builds/120644) linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
2 months, 1 week ago (2017-02-16 18:03:32 UTC) #40
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691393002/70001
2 months, 1 week ago (2017-02-16 18:20:45 UTC) #42
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/312602)
2 months, 1 week ago (2017-02-16 19:34:59 UTC) #44
vmpstr
On 2017/02/16 19:34:59, commit-bot: I haz the power wrote: > Try jobs failed on following ...
2 months, 1 week ago (2017-02-16 19:42:14 UTC) #45
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691393002/70001
2 months, 1 week ago (2017-02-16 19:46:49 UTC) #47
commit-bot: I haz the power
Try jobs failed on following builders: android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_n5x_swarming_rel/builds/120723)
2 months, 1 week ago (2017-02-16 20:46:38 UTC) #49
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691393002/70001
2 months, 1 week ago (2017-02-16 22:35:38 UTC) #51
commit-bot: I haz the power
Try jobs failed on following builders: android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_n5x_swarming_rel/builds/120983)
2 months, 1 week ago (2017-02-17 00:08:00 UTC) #53
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691393002/70001
2 months, 1 week ago (2017-02-17 00:43:19 UTC) #55
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL)
2 months, 1 week ago (2017-02-17 04:50:47 UTC) #57
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691393002/70001
2 months, 1 week ago (2017-02-17 19:42:23 UTC) #59
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL)
2 months ago (2017-02-17 23:24:14 UTC) #61
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691393002/70001
2 months ago (2017-02-17 23:27:28 UTC) #63
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL)
2 months ago (2017-02-18 01:35:22 UTC) #65
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691393002/70001
2 months ago (2017-02-21 20:12:13 UTC) #67
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) chromeos_daisy_chromium_compile_only_ng on ...
2 months ago (2017-02-21 22:16:17 UTC) #69
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691393002/90001
2 months ago (2017-02-22 22:51:29 UTC) #72
commit-bot: I haz the power
2 months ago (2017-02-23 00:44:14 UTC) #75
Message was sent while issue was closed.
Committed patchset #6 (id:90001) as
https://chromium.googlesource.com/chromium/src/+/6d9996c865dc8d6901d0a004ff67...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46